Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.mrtmp.codec
Class MRTMPProtocolDecoder

    java.lang.Object
      org.red5.server.net.mrtmp.codec.MRTMPProtocolDecoder

All Implemented Interfaces:
  ProtocolDecoder

    public class MRTMPProtocolDecoder

extends Object
implements ProtocolDecoder

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`MRTMPProtocolDecoder()`

Method Summary
`void` | `decode(IoSession session, IoBuffer in, ProtocolDecoderOutput out)`
`MRTMPPacket.Body` | `decodeBody(IoBuffer buffer, MRTMPPacket.Header header)`
`MRTMPPacket.Header` | `decodeHeader(IoBuffer buffer)`
`void` | `dispose(IoSession session)`
`void` | `finishDecode(IoSession session, ProtocolDecoderOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRTMPProtocolDecoder

    public MRTMPProtocolDecoder()

Method Detail

### decode

    public void decode(IoSession session,
                       IoBuffer in,
                       ProtocolDecoderOutput out)
                throws Exception

  Specified by:
    `decode` in interface `ProtocolDecoder`
  Throws:
    `Exception`

### dispose

    public void dispose(IoSession session)
                 throws Exception

  Specified by:
    `dispose` in interface `ProtocolDecoder`
  Throws:
    `Exception`

### finishDecode

    public void finishDecode(IoSession session,
                             ProtocolDecoderOutput out)
                      throws Exception

  Specified by:
    `finishDecode` in interface `ProtocolDecoder`
  Throws:
    `Exception`

### decodeHeader

    public MRTMPPacket.Header decodeHeader(IoBuffer buffer)

### decodeBody

    public MRTMPPacket.Body decodeBody(IoBuffer buffer,
                                       MRTMPPacket.Header header)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project